Subject: bug#78562: closed (Re: bug#78509: Coreutils' mv and cp 9.5 do not work properly on old PPC Mac OS X 10.4.11, Tiger)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 29 May 2025 16:13:02 +0000

Your bug report

#78562: Coreutils-9.7 do not build on macOS High Sierra, Version 10.13.6, because src/cksum.c: uses invalid cpu feature string for builtin

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78562: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78562
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#78509: Coreutils' mv and cp 9.5 do not work properly on old PPC Mac OS X 10.4.11, Tiger
From: Paul Eggert <[email-masked]>
To: Peter Dyballa <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 29 May 2025 09:12:45 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 2025-05-29 08:57, Peter Dyballa wrote:
> I think the coreutils are now OK!

Thanks for checking; closing the two coreutils bug reports.

Subject: Coreutils-9.7 do not build on macOS High Sierra, Version 10.13.6, because src/cksum.c: uses invalid cpu feature string for builtin
From: Peter Dyballa <[email-masked]>
To: [email-masked]
Date: Fri, 23 May 2025 15:20:08 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

The compile used is Clang, Apple LLVM version 10.0.0 (clang-1000.11.45.5). The CPU built into the Mac is Intel(R) Core(TM) i7-2860QM CPU @ 2.50GHz.

The error is:

	mv -f src/blake2/.deps/cksum-b2sum.Tpo src/blake2/.deps/cksum-b2sum.Po
	/usr/bin/clang  -I. -I./lib  -DHASH_ALGO_CKSUM=1 -DHAVE_CONFIG_H -Ilib -I./lib -Isrc -I./src -I/opt/local/include  -Wno-format-extra-args -Wno-tautological-constant-out-of-range-compare -pipe -Os -arch x86_64 -MT src/cksum-crctab.o -MD -MP -MF src/.deps/cksum-crctab.Tpo -c -o src/cksum-crctab.o `test -f 'src/crctab.c' || echo './'`src/crctab.c
	/usr/bin/clang  -I. -I./lib  -Ilib -I./lib -Isrc -I./src -I/opt/local/include -mavx512bw -mavx512f -mvpclmulqdq  -Wno-format-extra-args -Wno-tautological-constant-out-of-range-compare -pipe -Os -arch x86_64 -MT src/libcksum_avx512_a-cksum_avx512.o -MD -MP -MF src/.deps/libcksum_avx512_a-cksum_avx512.Tpo -c -o src/libcksum_avx512_a-cksum_avx512.o `test -f 'src/cksum_avx512.c' || echo './'`src/cksum_avx512.c
	mv -f lib/.deps/libcoreutils_a-vasnprintf.Tpo lib/.deps/libcoreutils_a-vasnprintf.Po
	/usr/bin/clang  -I. -I./lib  -Ilib -I./lib -Isrc -I./src -I/opt/local/include -mavx -mpclmul  -Wno-format-extra-args -Wno-tautological-constant-out-of-range-compare -pipe -Os -arch x86_64 -MT src/libcksum_pclmul_a-cksum_pclmul.o -MD -MP -MF src/.deps/libcksum_pclmul_a-cksum_pclmul.Tpo -c -o src/libcksum_pclmul_a-cksum_pclmul.o `test -f 'src/cksum_pclmul.c' || echo './'`src/cksum_pclmul.c
	mv -f src/.deps/cksum-crctab.Tpo src/.deps/cksum-crctab.Po
	src/cksum.c:190:30: error: invalid cpu feature string for builtin
	  bool avx512_enabled = (0 < __builtin_cpu_supports ("vpclmulqdq")
	                             ^                       ~~~~~~~~~~~~
	mv -f src/.deps/cksum-sum.Tpo src/.deps/cksum-sum.Po
	1 error generated.
	depbase=`echo src/comm.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
		/usr/bin/clang  -I. -I./lib  -Ilib -I./lib -Isrc -I./src -I/opt/local/include  -Wno-format-extra-args -Wno-tautological-constant-out-of-range-compare -pipe -Os -arch x86_64 -MT src/comm.o -MD -MP -MF $depbase.Tpo -c -o src/comm.o src/comm.c &&\
		mv -f $depbase.Tpo $depbase.Po
	depbase=`echo src/cp.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
		/usr/bin/clang  -I. -I./lib  -Ilib -I./lib -Isrc -I./src -I/opt/local/include  -Wno-format-extra-args -Wno-tautological-constant-out-of-range-compare -pipe -Os -arch x86_64 -MT src/cp.o -MD -MP -MF $depbase.Tpo -c -o src/cp.o src/cp.c &&\
		mv -f $depbase.Tpo $depbase.Po
	make[2]: *** [src/cksum-cksum.o] Error 1
	make[2]: *** Waiting for unfinished jobs....
	mv -f src/.deps/cksum-digest.Tpo src/.deps/cksum-digest.Po
	mv -f src/.deps/libcksum_pclmul_a-cksum_pclmul.Tpo src/.deps/libcksum_pclmul_a-cksum_pclmul.Po
	mv -f src/.deps/libcksum_avx512_a-cksum_avx512.Tpo src/.deps/libcksum_avx512_a-cksum_avx512.Po
	mv -f src/blake2/.deps/cksum-blake2b-ref.Tpo src/blake2/.deps/cksum-blake2b-ref.Po
	make[2]: Leaving directory `/opt/local/var/macports/build/_opt_mports_macports-ports_sysutils_coreutils-devel/coreutils-devel/work/coreutils-9.7'

First build started with "/usr/bin/make -j8 -w all", second build with "/usr/bin/make -w all" – same failure:

	mv -f src/blake2/.deps/cksum-b2sum.Tpo src/blake2/.deps/cksum-b2sum.Po
	/usr/bin/clang  -I. -I./lib  -DHASH_ALGO_CKSUM=1 -DHAVE_CONFIG_H -Ilib -I./lib -Isrc -I./src -I/opt/local/include  -Wno-format-extra-args -Wno-tautological-constant-out-of-range-compare -pipe -Os -arch x86_64 -MT src/cksum-sum.o -MD -MP -MF src/.deps/cksum-sum.Tpo -c -o src/cksum-sum.o `test -f 'src/sum.c' || echo './'`src/sum.c
	mv -f src/.deps/cksum-sum.Tpo src/.deps/cksum-sum.Po
	/usr/bin/clang  -I. -I./lib  -DHASH_ALGO_CKSUM=1 -DHAVE_CONFIG_H -Ilib -I./lib -Isrc -I./src -I/opt/local/include  -Wno-format-extra-args -Wno-tautological-constant-out-of-range-compare -pipe -Os -arch x86_64 -MT src/cksum-cksum.o -MD -MP -MF src/.deps/cksum-cksum.Tpo -c -o src/cksum-cksum.o `test -f 'src/cksum.c' || echo './'`src/cksum.c
	src/cksum.c:190:30: error: invalid cpu feature string for builtin
	  bool avx512_enabled = (0 < __builtin_cpu_supports ("vpclmulqdq")
	                             ^                       ~~~~~~~~~~~~
	1 error generated.
	make[2]: *** [src/cksum-cksum.o] Error 1
	make[2]: Leaving directory `/opt/local/var/macports/build/_opt_mports_macports-ports_sysutils_coreutils-devel/coreutils-devel/work/coreutils-9.7'
	make[1]: *** [all-recursive] Error 1

--
Greetings

  Pete                           <]
             o        __o         |__    o       HPV, the real
    ___o    /I       -\<,         |o \  -\),-%     high speed!
___/\ /\___./ \___...O/ O____.....`-O-'-()--o_________________